6.7.7 freebsd port fails install

Post any defects you find in the released or beta versions of the ImageMagick software here. Include the ImageMagick version, OS, and any command-line required to reproduce the problem. Got a patch for a bug? Post it here.
Post Reply
gjpc
Posts: 1
Joined: 2012-07-15T14:49:42-07:00
Authentication code: 15

6.7.7 freebsd port fails install

Post by gjpc » 2012-07-15T14:56:51-07:00

8.2-RELEASE FreeBSD 8.2-RELEASE #0: Sun Mar 6 13:13:12 PST 2011 amd64
Using portmaster to upgrade from 6.7.7.0 to 6.7.7.7_1

Code: Select all

=========================================
   ImageMagick 6.7.7: ./test-suite.log   
=========================================

1 of 49 tests failed.  

.. contents:: :depth: 2


FAIL: Magick++/demo/analyze.sh (exit: 134)
==========================================

Assertion failed: ((*images)->signature == MagickSignature), function analyzeImage, file filters/analyze.c, line 113.
Abort trap (core dumped)
There were also many complaints:

Code: Select all

/usr/bin/ld: warning: libpcre.so.0, needed by /usr/local/lib/liblqr-1.so, may conflict with libpcre.so.1

JoaCHIP
Posts: 37
Joined: 2004-12-21T04:22:18-07:00
Location: Copenhagen

Re: 6.7.7 freebsd port fails install

Post by JoaCHIP » 2012-07-16T02:07:35-07:00

Not an expert here, but I think when you get these "/usr/bin/ld: warning: libpcre.so.0, needed by /usr/local/lib/liblqr-1.so, may conflict with libpcre.so.1" errors, it's a result of mixing pre-built FreeBSD packages with things you've compiled yourself, thus ending up with references to different versions of these libraries.

Post Reply